Name:           lnav
Version:        0.8.0
Release:        1%{?dist}
Summary:        Curses-based tool for viewing and analyzing log files
License:        BSD

URL:            http://lnav.org
Source0:        https://github.com/tstack/lnav/releases/download/v%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  bzip2-devel
BuildRequires:  ncurses-devel

BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  python
BuildRequires:  readline-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel

%description
%{name} is an enhanced log file viewer that takes advantage of any semantic 
information that can be gleaned from the files being viewed, such as 
timestamps and log levels. Using this extra semantic information, it can
do things like interleaving messages from different files, generate 
histograms of messages over time, and providing hotkeys for navigating
through the file. It is hoped that these features will allow the user to
quickly and efficiently zero in on problems.


%prep
%setup -q
%if 0
# disable sloppy tests
pushd test
echo >test_mvwattrline.sh
echo >test_sql.sh
echo >test_view_colors.sh
popd
%endif

%build
#autoreconf -fiv
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%check
# tests are not mandatory cause architecture (or random?) dependent failures
make check ||:


%files
%doc AUTHORS NEWS README
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Mar 01 2016 Raphael Groner <projects.rg@smart.ms> - 0.8.0-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 05 2015 Christopher Meng <rpm@cicku.me> - 0.7.2-1
- Update to 0.7.2

* Tue Nov 25 2014 Christopher Meng <rpm@cicku.me> - 0.7.1-1
- Update to 0.7.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 04 2014 Dan Horák <dan[at]danny.cz> - 0.7.0-2
- fix build on big endian arches

* Tue Apr 01 2014 Christopher Meng <rpm@cicku.me> - 0.7.0-1
- Update to 0.7.0

* Thu Nov 21 2013 Christopher Meng <rpm@cicku.me> - 0.6.2-1
- Update to 0.6.2

* Thu Sep 12 2013 Christopher Meng <rpm@cicku.me> - 0.6.1-1
- Update to 0.6.1
- Add python BR for environ detection.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Christopher Meng <rpm@cicku.me> - 0.5.1-2
- Cleanup old stuffs.

* Fri May 03 2013 Christopher Meng <rpm@cicku.me> - 0.5.1-1
- Update to 0.5.1

* Fri May 03 2013 Christopher Meng <rpm@cicku.me> - 0.5.0-2
- Patch with automake foreign option in order to support aarch64

* Sat Apr 27 2013 Christopher Meng <rpm@cicku.me> - 0.5.0-1
- Initial Package.
